Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sns.model
Class SetTopicAttributesRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.sns.model.SetTopicAttributesRequest

    public class SetTopicAttributesRequest

extends AmazonWebServiceRequest

Container for the parameters to the `SetTopicAttributes operation`.

The SetTopicAttributes action allows a topic owner to set an attribute of the topic to a new value.

See Also:
  `AmazonSNS.setTopicAttributes(SetTopicAttributesRequest)`

Constructor Summary
`SetTopicAttributesRequest()` Default constructor for a new SetTopicAttributesRequest object.
`SetTopicAttributesRequest(String topicArn, String attributeName, String attributeValue)` Constructs a new SetTopicAttributesRequest object.

Method Summary
`String` | `getAttributeName()` The name of the attribute you want to set.
`String` | `getAttributeValue()` The new value for the attribute.
`String` | `getTopicArn()` The ARN of the topic to modify.
`void` | `setAttributeName(String attributeName)` The name of the attribute you want to set.
`void` | `setAttributeValue(String attributeValue)` The new value for the attribute.
`void` | `setTopicArn(String topicArn)` The ARN of the topic to modify.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`SetTopicAttributesRequest` | `withAttributeName(String attributeName)` The name of the attribute you want to set.
`SetTopicAttributesRequest` | `withAttributeValue(String attributeValue)` The new value for the attribute.
`SetTopicAttributesRequest` | `withTopicArn(String topicArn)` The ARN of the topic to modify.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetTopicAttributesRequest

    public SetTopicAttributesRequest()

  Default constructor for a new SetTopicAttributesRequest object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### SetTopicAttributesRequest

    public SetTopicAttributesRequest(String topicArn,
                                     String attributeName,
                                     String attributeValue)

  Constructs a new SetTopicAttributesRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `topicArn` - The ARN of the topic to modify.
    `attributeName` - The name of the attribute you want to set. Only a subset of the topic's attributes are mutable.
    `attributeValue` - The new value for the attribute.

Method Detail

### getTopicArn

    public String getTopicArn()

  The ARN of the topic to modify.

  Returns:
    The ARN of the topic to modify.

### setTopicArn

    public void setTopicArn(String topicArn)

  The ARN of the topic to modify.

  Parameters:
    `topicArn` - The ARN of the topic to modify.

### withTopicArn

    public SetTopicAttributesRequest withTopicArn(String topicArn)

  The ARN of the topic to modify.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `topicArn` - The ARN of the topic to modify.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttributeName

    public String getAttributeName()

  The name of the attribute you want to set. Only a subset of the topic's attributes are mutable.

  Returns:
    The name of the attribute you want to set. Only a subset of the topic's attributes are mutable.

### setAttributeName

    public void setAttributeName(String attributeName)

  The name of the attribute you want to set. Only a subset of the topic's attributes are mutable.

  Parameters:
    `attributeName` - The name of the attribute you want to set. Only a subset of the topic's attributes are mutable.

### withAttributeName

    public SetTopicAttributesRequest withAttributeName(String attributeName)

  The name of the attribute you want to set. Only a subset of the topic's attributes are mutable.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributeName` - The name of the attribute you want to set. Only a subset of the topic's attributes are mutable.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttributeValue

    public String getAttributeValue()

  The new value for the attribute.

  Returns:
    The new value for the attribute.

### setAttributeValue

    public void setAttributeValue(String attributeValue)

  The new value for the attribute.

  Parameters:
    `attributeValue` - The new value for the attribute.

### withAttributeValue

    public SetTopicAttributesRequest withAttributeValue(String attributeValue)

  The new value for the attribute.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributeValue` - The new value for the attribute.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.